Skip to main content
REST API reference
A newer release of this product is available.

Downloads a software or firmware package from the server

  • username - username of https/ftp server

  • password - password of https/ftp server # related ontap commands

  • cluster image package get # learn more

  • [doc /cluster/software](#docs-cluster-cluster_software)

POST /cluster/software/download

Introduced In: 9.6

Downloads a software or firmware package from the server.

Required properties

  • url - URL location of the software package

  • username - Username of HTTPS/FTP server

  • password - Password of HTTPS/FTP server

  • cluster image package get

Parameters

Name Type In Required Description

return_timeout

integer

query

False

The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.

  • Default value: 0

  • Max value: 120

  • Min value: 0

Request Body

Name Type Description

password

string

Password for download

url

string

HTTP or FTP URL of the package through a server

username

string

Username for download

Example request
{
  "password": "admin_password",
  "url": "http://server/package",
  "username": "admin"
}

Response

Status: 202, Accepted
Name Type Description

job

job_link

Example response
{
  "job": {
    "uuid": "string"
  }
}

Headers

Name Description Type

Location

Useful for tracking the resource location

string

Error

Status: Default, Error

Definitions

See Definitions

software_package_download

Name Type Description

password

string

Password for download

url

string

HTTP or FTP URL of the package through a server

username

string

Username for download

href

Name Type Description

href

string

Name Type Description

uuid

string

The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation.

error_arguments

Name Type Description

code

string

Argument code

message

string

Message argument

error

Name Type Description

arguments

array[error_arguments]

Message arguments

code

string

Error code

message

string

Error message

target

string

The target parameter that caused the error.

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response